Espruino 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1186102 漏洞类型 缓冲区错误
发布时间 2018-06-01 更新时间 2018-06-01
CVE编号 CVE-2018-11595 CNNVD-ID CNNVD-201805-1228
漏洞平台 N/A CVSS评分 6.8
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201805-1228
|漏洞详情
Espruino是一款使用在微控制器中的JavaScript解释器。 Espruino 1.99之前版本中存在栈缓冲区溢出漏洞,该漏洞源于程序没有正确的使用‘strncat’函数。攻击者可借助特制的文件利用该漏洞造成拒绝服务(应用程序崩溃)并可能提升权限。
|参考资料
resource:Patch
hyperlink:https://github.com/espruino/Espruino/commit/0a7619875bf79877907205f6bee08465b89ff10b
resource:Exploit
hyperlink:https://github.com/espruino/Espruino/files/2019210/test_0.txt
resource:Exploit
hyperlink:https://github.com/espruino/Espruino/files/2019216/test_2.txt
resource:Exploit
hyperlink:https://github.com/espruino/Espruino/files/2019220/test_4.txt
resource:Issue Tracking
hyperlink:https://github.com/espruino/Espruino/issues/1425